# Referrals

## POST /stores/{subscriberId}/referral\_senders

> Create Referral Sender

```json
{"openapi":"3.0.0","info":{"title":"Okendo Storefront API","version":"1.1.0"},"servers":[{"url":"https://api.okendo.io/v1"}],"paths":{"/stores/{subscriberId}/referral_senders":{"post":{"summary":"Create Referral Sender","tags":["referrals"],"parameters":[{"name":"subscriberId","in":"path","required":true,"schema":{"type":"string"},"description":"The unique identifier for the store. Available on the Okendo integration settings page."},{"name":"okendo-api-version","in":"header","required":true,"schema":{"type":"string","enum":["2025-02-01"]},"description":"API version header"},{"name":"okendo-partner-id","in":"header","required":false,"schema":{"type":"string"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"object","properties":{"email":{"type":"string","format":"email"}},"required":["email"]}}}},"responses":{"200":{"description":"Successfully created referral sender","content":{"application/json":{"schema":{"type":"object","properties":{"referralSenderId":{"type":"string","format":"uuid","description":"The Referral Sender ID is required for sending referral requests via authenticated endpoints"},"shareableLinkUrl":{"type":"string","format":"uri","description":"A URL which can be sent as a referral link"}},"required":["referralSenderId","shareableLinkUrl"]}}}},"400":{"description":"Bad Request - Invalid email address","content":{"application/json":{"schema":{"type":"object","properties":{"error":{"type":"object","properties":{"description":{"type":"string","description":"Human-readable error message"},"code":{"type":"string","description":"Error code identifier"}},"required":["description"]}},"required":["error"]}}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.okendo.io/on-site/storefront-rest-api/endpoints/referrals.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
